Bug 8829 - Argument decorated with [CallerMemberName] comes up null when caller is in different assembly
Summary: Argument decorated with [CallerMemberName] comes up null when caller is in di...
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2012-12-06 19:49 UTC by Andrew Clunis
Modified: 2012-12-12 10:01 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Assembly2: Code that uses [CallerMemberName] to intercept an incoming caller. (368 bytes, text/x-csharp)
2012-12-06 19:49 UTC, Andrew Clunis
Details
Assembly1: Code that invokes the code in Assembly2.cs. (269 bytes, text/x-csharp)
2012-12-06 19:51 UTC, Andrew Clunis
Details

Description Andrew Clunis 2012-12-06 19:49:33 UTC
Created attachment 3071 [details]
Assembly2: Code that uses [CallerMemberName] to intercept an incoming caller.

Test case attached.

Thank you. :)
Comment 1 Andrew Clunis 2012-12-06 19:51:55 UTC
Created attachment 3072 [details]
Assembly1: Code that invokes the code in Assembly2.cs.
Comment 2 Andrew Clunis 2012-12-06 19:54:52 UTC
Create two separate assemblies, Assembly1 as an executable and Assembly2 as a library.  Assembly1 depends on Assembly2.

Tested and fails against Mono 3.0.0 on Linux.  Works with MS .net 4.5 on Windows.
Comment 3 Marek Safar 2012-12-12 10:01:42 UTC
Fixed in master

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 8829 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: